<?php
/**
 * @version		$Id: category.php 303 2010-01-07 02:56:33Z joomlaworks $
 * @package		K2
 * @author    JoomlaWorks http://www.joomlaworks.gr
 * @copyright	Copyright (c) 2006 - 2010 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

?>

<!-- Start K2 Category Layout -->
<div id="k2Container" class="itemListView<?php if($this->params->get('pageclass_sfx')) echo ' '.$this->params->get('pageclass_sfx'); ?>">

	<?php if($this->params->get('show_page_title')): ?>
	<!-- Page title -->
	<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
		<?php echo $this->escape($this->params->get('page_title')); ?>
	</div>
	<?php endif; ?>

	<?php if($this->params->get('catFeedLink')): ?>
	<!-- RSS feed icon -->
	<div class="k2FeedIcon">
		<a href="<?php echo $this->feed; ?>" title="<?php echo JText::_('Subscribe to this RSS feed'); ?>">
			<span><?php echo JText::_('Subscribe to this RSS feed'); ?></span>
		</a>
		<div class="clr"></div>
	</div>
	<?php endif; ?>

	<?php if(isset($this->category) || ( $this->params->get('subCategories') && isset($this->subCategories) && count($this->subCategories) )): ?>
	<!-- Blocks for current category and subcategories -->
	<div class="itemListCategoriesBlock">

		<?php if($this->params->get('subCategories') && isset($this->subCategories) && count($this->subCategories)): ?>
		<!-- Subcategories -->
		<div class="itemListSubCategories">
            <?php
                $alpha = range('a', 'z');
                $nameCollection = array();
             ?>
            <?php

            	// Add Reverse Alphabetical Titles for subcategories
            	foreach($this->subCategories as $key => $subCategory) {
                    	$exploded_name = explode(' ', $this->subCategories[$key]->name);
                    	$last_name = array_pop($exploded_name);
                    	$first_and_middle_name = implode(' ', $exploded_name);
                    	$this->subCategories[$key]->rname = $last_name . ', ' . $first_and_middle_name;
				}

				function compare_rname($a, $b) {
					return strnatcmp($a->rname, $b->rname);
				}
				// sort alphabetically by rname field
				usort($this->subCategories, 'compare_rname');
				
                foreach($alpha as $letter) {
                    $nameCollection[$letter] = array();
                    foreach($this->subCategories as $key => $subCategory) {
                    	// Change to use rname field instead of name
                        if (JString::strtolower($subCategory->rname[0]) === $letter) {
                            $nameCollection[$letter][] = $subCategory;
                        }
                    }
                }
            ?>
            <p id="k2_alpha_jump_links">
            <?php foreach($alpha as $letter) : ?>
                <?php if ($letter !== 'z') : ?>
                    <?php if (count($nameCollection[$letter])) : ?>
                        <a href="#k2_alpha_<?php echo $letter; ?>" title="Jump to <?php echo JString::strtoupper($letter); ?>"><?php echo JString::strtoupper($letter); ?></a> |
                    <?php else : ?>
                        <?php echo JString::strtoupper($letter); ?> |
                    <?php endif; ?>
                <?php else : ?>
                    <?php if (count($nameCollection[$letter])) : ?>
                        <a href="#k2_alpha_<?php echo $letter; ?>" title="Jump to <?php echo JString::strtoupper($letter); ?>"><?php echo JString::strtoupper($letter); ?></a>
                    <?php else : ?>
                        <?php echo JString::strtoupper($letter); ?>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endforeach; ?>
            </p>
            <?php foreach($alpha as $letter) : ?>
                <?php $collectionLength = count($nameCollection[$letter]); ?>
                <?php $subCatColumns = (int) $this->params->get('subCatColumns'); ?>
                <?php if ($collectionLength) : ?>
                    <h2 class="k2AlphaHeader" id="k2_alpha_<?php echo $letter; ?>"><?php echo JString::strtoupper($letter); ?>:</h2>
                    <?php $recordsPerColumn = round(($collectionLength / $subCatColumns)); ?>
                    <?php $currentRow = 0; ?>
                    <?php $currentColumn = 0; ?>
                    <div class="alphaContainer">
                    <?php foreach($nameCollection[$letter] as $subCategory): ?>
                        <?php if ($currentRow === 0 || ($currentRow % $recordsPerColumn) === 0) : ?>
                            <div class="subCategoryContainer" style="">
                            <ul>
                        <?php endif; ?>
                        <li>
                            <a href="<?php echo $subCategory->link; ?>">
                                <?php echo $subCategory->rname; ?><?php if($this->params->get('subCatTitleItemCounter')) echo ' ('.$subCategory->numOfItems.')'; ?>
                            </a>
                            <span class="small"><?php echo JString::substr(strip_tags($subCategory->description), 0, 150); ?></span>
                        </li>
                        <?php $currentRow++; ?>
                        <?php if (($currentRow % $recordsPerColumn) === 0 || ($currentRow % $collectionLength === 0)) : ?>
                            </ul>
                            </div>
                            <?php $currentColumn++; ?>
                        <?php endif; ?>


                        <?php if (($currentColumn === $subCatColumns) || ($currentRow % $collectionLength === 0)) : ?>
                            <?php $currentColumn = 0; ?>
                            <div class="clr dottedBottom"></div>
                        <?php endif; ?>

                    <?php endforeach; ?>
                    </div>
                    <p><a href="#k2_alpha_jump_links" title="Return to the top of the page">Back to Top</a></p>
                <?php endif; ?>
            <?php endforeach; ?>


			<div class="clr"></div>
		</div>
		<?php endif; ?>

	</div>
	<?php endif; ?>



	<?php if((isset($this->leading) || isset($this->primary) || isset($this->secondary) || isset($this->links)) && (count($this->leading) || count($this->primary) || count($this->secondary) || count($this->links))): ?>
	<!-- Item list -->
	<div class="itemList">

		<?php if(isset($this->leading) && count($this->leading)): ?>
		<!-- Leading items -->
		<div id="itemListLeading">
			<?php foreach($this->leading as $key=>$item): ?>
			<div class="itemContainer" style="width:<?php echo number_format(100/$this->params->get('num_leading_columns'), 1); ?>%;">
			<?php
				// Load category_item.php by default
				$this->item=$item;
				echo $this->loadTemplate('item');
			?>
			</div>
			<?php if(($key+1)%($this->params->get('num_leading_columns'))==0): ?>
			<div class="clr"></div>
			<?php endif; ?>
			<?php endforeach; ?>
			<div class="clr"></div>
		</div>
		<?php endif; ?>

		<?php if(isset($this->primary) && count($this->primary)): ?>
		<!-- Primary items -->
		<div id="itemListPrimary">
			<?php foreach($this->primary as $key=>$item): ?>
			<div class="itemContainer" style="width:<?php echo number_format(100/$this->params->get('num_primary_columns'), 1); ?>%;">
			<?php
				// Load category_item.php by default
				$this->item=$item;
				echo $this->loadTemplate('item');
			?>
			</div>
			<?php if(($key+1)%($this->params->get('num_primary_columns'))==0): ?>
			<div class="clr"></div>
			<?php endif; ?>
			<?php endforeach; ?>
			<div class="clr"></div>
		</div>
		<?php endif; ?>

		<?php if(isset($this->secondary) && count($this->secondary)): ?>
		<!-- Secondary items -->
		<div id="itemsListSecondary">
			<?php foreach($this->secondary as $key=>$item): ?>
			<div class="itemContainer" style="width:<?php echo number_format(100/$this->params->get('num_secondary_columns'), 1); ?>%;">
			<?php
				// Load category_item.php by default
				$this->item=$item;
				echo $this->loadTemplate('item');
			?>
			</div>
			<?php if(($key+1)%($this->params->get('num_secondary_columns'))==0): ?>
			<div class="clr"></div>
			<?php endif; ?>
			<?php endforeach; ?>
			<div class="clr"></div>
		</div>
		<?php endif; ?>

		<?php if(isset($this->links) && count($this->links)): ?>
		<!-- Link items -->
		<div id="itemListLinks">
			<h4><?php echo JText::_('More...'); ?></h4>
			<?php foreach($this->links as $key=>$item): ?>
			<div class="itemContainer" style="width:<?php echo number_format(100/$this->params->get('num_links_columns'), 1); ?>%;">
			<?php
				// Load category_item_links.php by default
				$this->item=$item;
				echo $this->loadTemplate('item_links');
			?>
			</div>
			<?php if(($key+1)%($this->params->get('num_links_columns'))==0): ?>
			<div class="clr"></div>
			<?php endif; ?>
			<?php endforeach; ?>
			<div class="clr"></div>
		</div>
		<?php endif; ?>

	</div>

	<!-- Pagination -->
	<?php if(count($this->pagination->getPagesLinks())): ?>
	<div class="k2Pagination">
		<?php if($this->params->get('catPagination')) echo $this->pagination->getPagesLinks(); ?>
		<div class="clr"></div>
		<?php if($this->params->get('catPaginationResults')) echo $this->pagination->getPagesCounter(); ?>
	</div>
	<?php endif; ?>

	<?php endif; ?>
</div>
<!-- End K2 Category Layout -->
